#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $section=$spec->get_section("files","-n $pkgname");
    unless ($section) {
	print STDERR "Oops! %files -n $pkgname not found!\n";
	return;
    }
    $section->push_body(q"# The package does not own its own docdir subdirectory.
# The line below is added by repocop to fix this bug in a straightforward way. 
# Another way is to rewrite the spec to use relative doc paths.
%dir %_docdir/".$pkgname.q"-%version 
");
## %doc is not required (%_docdir/).
##%doc %dir 
};
1;
